Subject: [bug#30604] [PATCH v8 3/7] linux-boot: Load kernel modules only when the hardware is present.

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 9 Mar 2018 23:19:42 +0100

oops,

On Fri, 9 Mar 2018 23:13:20 +0100
Danny Milosavljevic <[email-masked]> wrote:

> As I said, modprobe mutates /sys - you cannot use find-files.  

I guess technically it's the Linux kernel module that mutates it.

>I haven't used
> ftw just to be contrarian.  There's even a warning comment :-)
> 
> In order to find that out, try to print how /sys looked before modprobe - then
> in the early guile recovery REPL print how /sys looks again - the alias it
> was juuust complaining about will be there just fine.
> 
> My patch series works fine lazy-loading the IO charset, virtio_blk, virtio_net.

(v9)